net.sf.jasperreports.engine.fill

## Class JRRecordedValuesPrintImage

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplatePrintElement
  - - net.sf.jasperreports.engine.fill.JRTemplatePrintGraphicElement
    - - net.sf.jasperreports.engine.fill.JRTemplatePrintImage
      - - net.sf.jasperreports.engine.fill.JRRecordedValuesPrintImage

- All Implemented Interfaces:
    java.io.Serializable, JRRecordedValuesPrintElement, JRAlignment, JRBoxContainer, JRCommonElement, JRCommonGraphicElement, JRCommonImage, JRIdentifiable, JRPenContainer, JRPrintAnchor, JRPrintElement, JRPrintGraphicElement, JRPrintHyperlink, JRPrintImage, JRPropertiesHolder, JRStyleContainer, VirtualizationSerializable

      public class JRRecordedValuesPrintImage
      extends JRTemplatePrintImage
      implements JRRecordedValuesPrintElement

  Print image implementation that supports recorded values.
  Version:
    $Id: JRRecordedValuesPrintImage.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintImage

      `bookmarkLevel`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `template`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintHyperlink

      `PROPERTY_IGNORE_HYPERLINK_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRRecordedValuesPrintImage()`
    `JRRecordedValuesPrintImage(JRTemplateImage image)` Deprecated. provide a source Id via `JRRecordedValuesPrintImage(JRTemplateImage, int)`
    `JRRecordedValuesPrintImage(JRTemplateImage image, int sourceElementId)` Deprecated. replaced by `JRRecordedValuesPrintImage(JRTemplateImage, PrintElementOriginator)`
    `JRRecordedValuesPrintImage(JRTemplateImage image, PrintElementOriginator originator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteRecordedValues()` Releases the recorded values set.
    `JRRecordedValues` | `getRecordedValues()` Returns the recorded values set.
    `void` | `initRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes)` Initializes the recorded values set.
    `void` | `readVirtualized(VirtualizationInput in)`
    `void` | `writeVirtualized(VirtualizationOutput out)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintImage

      `accept, getAnchorName, getBookmarkLevel, getHorizontalAlignmentValue, getHyperlinkAnchor, getHyperlinkPage, getHyperlinkParameters, getHyperlinkReference, getHyperlinkTargetValue, getHyperlinkTooltip, getHyperlinkTypeValue, getLineBox, getLinkTarget, getLinkType, getOnErrorTypeValue, getOwnHorizontalAlignmentValue, getOwnScaleImageValue, getOwnVerticalAlignmentValue, getRenderable, getRenderer, getScaleImageValue, getVerticalAlignmentValue, isLazy, isUsingCache, setAnchorName, setBookmarkLevel, setHorizontalAlignment, setHyperlinkAnchor, setHyperlinkPage, setHyperlinkParameters, setHyperlinkReference, setHyperlinkTarget, setHyperlinkTooltip, setHyperlinkType, setLazy, setLinkTarget, setLinkType, setOnErrorType, setRenderable, setRenderer, setScaleImage, setUsingCache, setVerticalAlignment`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintGraphicElement

      `getDefaultLineColor, getDefaultLineWidth, getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `getBackcolor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPrintElementId, getPropertiesMap, getSourceElementId, getStyle, getStyleNameReference, getTemplate, getUUID, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setMode, setSourceElementId, setStyle, setTemplate, setUUID, setWidth, setX, setY, updateElementTemplate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement

      `setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor`

- - ### Constructor Detail

    - #### JRRecordedValuesPrintImage

          public JRRecordedValuesPrintImage()

    - #### JRRecordedValuesPrintImage

          public JRRecordedValuesPrintImage(JRTemplateImage image)

      Deprecated. provide a source Id via `JRRecordedValuesPrintImage(JRTemplateImage, int)`
      Parameters:
        `image` -

    - #### JRRecordedValuesPrintImage

          public JRRecordedValuesPrintImage(JRTemplateImage image,
                                    int sourceElementId)

      Deprecated. replaced by `JRRecordedValuesPrintImage(JRTemplateImage, PrintElementOriginator)`
      Parameters:
        `image` -
        `sourceElementId` - the Id of the source element

    - #### JRRecordedValuesPrintImage

          public JRRecordedValuesPrintImage(JRTemplateImage image,
                                    PrintElementOriginator originator)

      Parameters:
        `image` -
        `originator` -

  - ### Method Detail

    - #### getRecordedValues

          public JRRecordedValues getRecordedValues()

      Description copied from interface: `JRRecordedValuesPrintElement`
      Returns the recorded values set.
      Specified by:
        `getRecordedValues` in interface `JRRecordedValuesPrintElement`
      Returns:
        the recorded values set

    - #### deleteRecordedValues

          public void deleteRecordedValues()

      Description copied from interface: `JRRecordedValuesPrintElement`
      Releases the recorded values set.

      This is called when all the recorded values are available and the element has been evaluated.
      Specified by:
        `deleteRecordedValues` in interface `JRRecordedValuesPrintElement`

    - #### initRecordedValues

          public void initRecordedValues(java.util.Set<JREvaluationTime> evaluationTimes)

      Description copied from interface: `JRRecordedValuesPrintElement`
      Initializes the recorded values set.
      Specified by:
        `initRecordedValues` in interface `JRRecordedValuesPrintElement`
      Parameters:
        `evaluationTimes` - future times when the values will be recorded

    - #### writeVirtualized

          public void writeVirtualized(VirtualizationOutput out)
                                throws java.io.IOException

      Specified by:
        `writeVirtualized` in interface `VirtualizationSerializable`
      Overrides:
        `writeVirtualized` in class `JRTemplatePrintImage`
      Throws:
        `java.io.IOException`

    - #### readVirtualized

          public void readVirtualized(VirtualizationInput in)
                               throws java.io.IOException

      Specified by:
        `readVirtualized` in interface `VirtualizationSerializable`
      Overrides:
        `readVirtualized` in class `JRTemplatePrintImage`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com